zenilib: zenilib/jni/external/glew/auto/src/glew_head.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
glew_head.c File Reference
`#include <GL/glew.h>`
`#include <GL/glxew.h>`

Go to the source code of this file.

## Macros

#define | CONST_CAST(x) (*(GLboolean*)&x)
#define | GLEW_CONTEXT_ARG_DEF_INIT void
#define | GLEW_CONTEXT_ARG_DEF_LIST void
#define | GLEW_CONTEXT_ARG_VAR_INIT
#define | glewGetProcAddress(name) (*glXGetProcAddressARB)(name)
#define | GLXEW_CONTEXT_ARG_DEF_INIT void
#define | GLXEW_CONTEXT_ARG_DEF_LIST void
#define | WGLEW_CONTEXT_ARG_DEF_INIT void
#define | WGLEW_CONTEXT_ARG_DEF_LIST void

## Functions

static GLboolean | _glewSearchExtension (const char *name, const GLubyte *start, const GLubyte *end)
static GLuint | _glewStrCLen (const GLubyte *s, GLubyte c)
static GLuint | _glewStrLen (const GLubyte *s)
static GLboolean | _glewStrSame (const GLubyte *a, const GLubyte *b, GLuint n)
static GLboolean | _glewStrSame1 (GLubyte **a, GLuint *na, const GLubyte *b, GLuint nb)
static GLboolean | _glewStrSame2 (GLubyte **a, GLuint *na, const GLubyte *b, GLuint nb)
static GLboolean | _glewStrSame3 (GLubyte **a, GLuint *na, const GLubyte *b, GLuint nb)

## Macro Definition Documentation

#define CONST_CAST | ( |  | x | ) | (*(GLboolean*)&x)

Definition at line 147 of file glew_head.c.

Referenced by glewContextInit(), and glxewContextInit().

#define GLEW_CONTEXT_ARG_DEF_INIT void

Definition at line 29 of file glew_head.c.

#define GLEW_CONTEXT_ARG_DEF_LIST void

Definition at line 31 of file glew_head.c.

#define GLEW_CONTEXT_ARG_VAR_INIT

Definition at line 30 of file glew_head.c.

Referenced by glxewContextInit().

#define glewGetProcAddress | ( |  | name | ) | (*glXGetProcAddressARB)(name)

Definition at line 141 of file glew_head.c.

Referenced by wglewContextInit().

#define GLXEW_CONTEXT_ARG_DEF_INIT void

Definition at line 34 of file glew_head.c.

#define GLXEW_CONTEXT_ARG_DEF_LIST void

Definition at line 35 of file glew_head.c.

#define WGLEW_CONTEXT_ARG_DEF_INIT void

Definition at line 32 of file glew_head.c.

#define WGLEW_CONTEXT_ARG_DEF_LIST void

Definition at line 33 of file glew_head.c.

## Function Documentation

static GLboolean _glewSearchExtension | ( | const char * | name,
|  | const GLubyte * | start,
|  | const GLubyte * | end
| ) |  |

static

Definition at line 237 of file glew_head.c.

References _glewStrCLen(), _glewStrLen(), _glewStrSame(), GL_FALSE, and GL_TRUE.

Referenced by glewGetExtension(), glxewGetExtension(), and wglewGetExtension().

static GLuint _glewStrCLen | ( | const GLubyte * | s,
|  | GLubyte | c
| ) |  |

static

Definition at line 161 of file glew_head.c.

References i, and NULL.

Referenced by _glewSearchExtension(), and glewContextInit().

static GLuint _glewStrLen | ( | const GLubyte * | s | ) |

static

Definition at line 153 of file glew_head.c.

References i, and NULL.

Referenced by _glewSearchExtension(), glewContextInit(), glewGetExtension(), glewIsSupported(), glxewContextInit(), glxewGetExtension(), glxewIsSupported(), wglewContextInit(), and wglewGetExtension().

static GLboolean _glewStrSame | ( | const GLubyte * | a,
|  | const GLubyte * | b,
|  | GLuint | n
| ) |  |

static

Definition at line 169 of file glew_head.c.

References GL_FALSE, GL_TRUE, i, and NULL.

Referenced by _glewSearchExtension().

static GLboolean _glewStrSame1 | ( | GLubyte ** | a,
|  | GLuint * | na,
|  | const GLubyte * | b,
|  | GLuint | nb
| ) |  |

static

Definition at line 178 of file glew_head.c.

References GL_FALSE, GL_TRUE, i, and NULL.

Referenced by glewIsSupported(), and glxewIsSupported().

static GLboolean _glewStrSame2 | ( | GLubyte ** | a,
|  | GLuint * | na,
|  | const GLubyte * | b,
|  | GLuint | nb
| ) |  |

static

Definition at line 199 of file glew_head.c.

References GL_FALSE, GL_TRUE, i, and NULL.

Referenced by glewIsSupported(), and glxewIsSupported().

static GLboolean _glewStrSame3 | ( | GLubyte ** | a,
|  | GLuint * | na,
|  | const GLubyte * | b,
|  | GLuint | nb
| ) |  |

static

Definition at line 215 of file glew_head.c.

References GL_FALSE, GL_TRUE, i, and NULL.

Referenced by glewIsSupported(), and glxewIsSupported().